#! /bin/sh

prefix="__META_PRODTREE__/xorg"
exec_prefix="${prefix}"
libdir="${exec_prefix}/lib"
includedir="${prefix}/include"
version="2.2.0"
freetypelibs="-L__META_PRODTREE__/freetype2/lib -lfreetype -lbz2 -lpng -lz "
freetypecflags="-I__META_PRODTREE__/freetype2/include/freetype2 -I__META_PRODTREE__/libpng/include/libpng16 -I__META_PRODTREE__/zlib/include -I__META_PRODTREE__/gtkcore/include/harfbuzz -I__META_PRODTREE__/gtkcore/include/glib-2.0 -I__META_PRODTREE__/gtkcore/lib/glib-2.0/include -I__META_PRODTREE__/pcre/include -I__META_PRODTREE__/graphite2/include "
fontconfiglibs="-L__META_PRODTREE__/fontconfig/lib -L__META_PRODTREE__/freetype2/lib -lfontconfig -lfreetype -lbz2 -lpng -lz "
fontconfigcflags="-I__META_PRODTREE__/fontconfig/include -I__META_PRODTREE__/expat/include -I__META_PRODTREE__/freetype2/include/freetype2 -I__META_PRODTREE__/libpng/include/libpng16 -I__META_PRODTREE__/zlib/include -I__META_PRODTREE__/freetype2/include/freetype2 -I__META_PRODTREE__/libpng/include/libpng16 -I__META_PRODTREE__/zlib/include -I__META_PRODTREE__/gtkcore/include/harfbuzz -I__META_PRODTREE__/gtkcore/include/glib-2.0 -I__META_PRODTREE__/gtkcore/lib/glib-2.0/include -I__META_PRODTREE__/pcre/include -I__META_PRODTREE__/graphite2/include "
xrenderlibs="-L__META_PRODTREE__/xorg/lib -lXrender -lX11 "
xrendercflags="-I__META_PRODTREE__/xorg/include "

usage()
{
  cat <<EOF
Usage: xft-config [OPTIONS] [LIBRARIES]
Options:
 [--prefix[=DIR]]
 [--exec-prefix[=DIR]]
 [--version]
 [--libs]
 [--cflags]
EOF
  exit $1
}

if test $# -eq 0 ; then
  usage 1 1>&2
fi

while test $# -gt 0 ; do
  case "$1" in
  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) optarg= ;;
  esac

  case $1 in
  --prefix=*)
    prefix=$optarg
    local_prefix=yes
    ;;
  --prefix)
    echo_prefix=yes
    ;;
  --exec-prefix=*)
    exec_prefix=$optarg
    exec_prefix_set=yes
    local_prefix=yes
    ;;
  --exec-prefix)
    echo_exec_prefix=yes
    ;;
  --version)
    echo $version
    exit 0
    ;;
  --cflags)
    echo_cflags=yes
    ;;
  --libs)
    echo_libs=yes
    ;;
  *)
    usage 1 1>&2
    ;;
  esac
  shift
done

if test "$local_prefix" = "yes" ; then
    if test "$exec_prefix_set" != "yes" ; then
      exec_prefix=$prefix
    fi
fi

if test "$echo_prefix" = "yes" ; then
 echo $prefix
fi

if test "$echo_exec_prefix" = "yes" ; then
 echo $exec_prefix
fi

if test "$echo_cflags" = "yes" ; then
 cflags="-I${includedir} ${freetypecflags} ${fontconfigcflags} ${xrendercflags}"
 echo $cflags
fi

if test "$echo_libs" = "yes" ; then
 libs="-lXft -lX11 ${freetypelibs} ${fontconfiglibs} ${xrenderlibs}"
 if test "${libdir}" != "/usr/lib" ; then
  echo -L${libdir} $libs
 else
  echo $libs
 fi
fi

# EOF
